"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _mintUiColors = require("mint-ui-colors");
var _reactNative = require("react-native");
var _BaseText = _interopRequireDefault(require("../components/BaseText"));
var _sizes = require("../styles/sizes");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const IconButton = _ref => {
  let {
    label = '',
    Icon,
    tag,
    children,
    style,
    textProps,
    ...props
  } = _ref;
  const lineProps = useLineProps(label);
  const renderTag = () => {
    // TODO: decide Svg or Image ?
    if (typeof tag === 'boolean') {
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.circleBadge
      }, tag ? /*#__PURE__*/_react.default.createElement(_reactNative.View, null) : /*#__PURE__*/_react.default.createElement(_reactNative.View, null));
    }
    if (typeof tag === 'number') {
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.circleBadge
      }, /*#__PURE__*/_react.default.createElement(_BaseText.default, {
        font: "bold",
        size: 10,
        color: _mintUiColors.BaseColors.white
      }, tag));
    }
    if (typeof tag === 'string') {
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.rectBadge
      }, /*#__PURE__*/_react.default.createElement(_BaseText.default, {
        font: "demi",
        size: 10,
        color: _mintUiColors.BaseColors.white
      }, tag));
    }
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    style: [styles.button, style]
  }, props), renderTag(), children, Icon, /*#__PURE__*/_react.default.createElement(_BaseText.default, _extends({
    adjustsFontSizeToFit: true,
    font: "medium",
    color: _mintUiColors.ThemeColors.dark.text.primary,
    textBreakStrategy: "simple",
    minimumFontScale: 0.8,
    style: styles.text
  }, lineProps, textProps), label));
};
const useLineProps = function (label) {
  let maxLines = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 2;
  const [numberOfLines, setNumberOfLines] = (0, _react.useState)(0);
  const onTextLayout = (0, _react.useCallback)(e => {
    if (numberOfLines > 0) {
      return;
    }
    const initialNumberOfLines = e.nativeEvent.lines.length;
    if (initialNumberOfLines > maxLines && initialNumberOfLines > label.split(' ').length) {
      setNumberOfLines(maxLines);
    }
  }, [label, maxLines, numberOfLines]);
  return {
    numberOfLines,
    onTextLayout
  };
};
const styles = _reactNative.StyleSheet.create({
  button: {
    alignItems: 'center',
    height: (0, _sizes.hScale)(75)
  },
  text: {
    marginTop: (0, _sizes.hScale)(5, 0.9),
    textAlign: 'center'
  },
  rectBadge: {
    backgroundColor: _mintUiColors.BaseColors.seaGreen500,
    position: 'absolute',
    right: 0,
    top: 0,
    width: (0, _sizes.wScale)(34),
    height: (0, _sizes.hScale)(16),
    zIndex: 1,
    borderRadius: 4,
    justifyContent: 'center',
    alignItems: 'center'
  },
  circleBadge: {
    backgroundColor: _mintUiColors.BaseColors.darkPink500,
    position: 'absolute',
    right: 0,
    top: 0,
    width: (0, _sizes.wScale)(20),
    height: (0, _sizes.wScale)(20),
    zIndex: 1,
    borderRadius: (0, _sizes.wScale)(20) / 2,
    justifyContent: 'center',
    alignItems: 'center'
  }
});
var _default = /*#__PURE__*/_react.default.memo(IconButton);
exports.default = _default;
//# sourceMappingURL=IconButton.js.map