"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.LargeButtonStyles = void 0;
var _react = _interopRequireDefault(require("react"));
var _mintUiColors = require("mint-ui-colors");
var _reactNative = require("react-native");
var _BaseText = _interopRequireDefault(require("../components/BaseText"));
var _sizes = require("../styles/sizes");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const LargeButton = _ref => {
  let {
    theme = 'light',
    type = 'contained',
    color,
    LeftComponent,
    RightComponent,
    textProps,
    children,
    disabled = false,
    style,
    ...props
  } = _ref;
  const styleName = [theme, type, disabled ? 'disabled' : 'active'].join('.');
  const buttonStyle = {
    ...LargeButtonStyles[styleName]
  };
  let textColor = buttonStyle.color;
  if (type === 'outline') {
    const outlineColor = color || _mintUiColors.BaseColors.green;
    textColor = disabled ? buttonStyle.color : outlineColor;
    buttonStyle.borderColor = disabled ? buttonStyle.borderColor : outlineColor;
    buttonStyle.borderWidth = 1;
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    disabled: disabled,
    style: [LargeButtonStyles.container, buttonStyle, style]
  }, props), LeftComponent, typeof children === 'string' ? /*#__PURE__*/_react.default.createElement(_BaseText.default, _extends({
    font: "demi",
    color: textColor,
    size: 16
  }, textProps), `${LeftComponent ? ' ' : ''}${children}${RightComponent ? ' ' : ''}`) : children, RightComponent);
};
const LargeButtonStyles = _reactNative.StyleSheet.create({
  container: {
    borderRadius: 30,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    padding: (0, _sizes.hScale)(15, 0.9),
    width: '100%'
  },
  'light.contained.active': {
    backgroundColor: _mintUiColors.BaseColors.green,
    color: _mintUiColors.BaseColors.white
  },
  'light.contained.disabled': {
    backgroundColor: _mintUiColors.BaseColors.grey1,
    color: _mintUiColors.ThemeColors.light.text.tertiary
  },
  'light.outline.active': {
    backgroundColor: _mintUiColors.BaseColors.white
  },
  'light.outline.disabled': {
    backgroundColor: _mintUiColors.BaseColors.white,
    color: _mintUiColors.ThemeColors.light.text.tertiary,
    borderColor: _mintUiColors.ThemeColors.light.stroke.secondary
  },
  'dark.contained.active': {
    backgroundColor: _mintUiColors.BaseColors.green,
    color: _mintUiColors.BaseColors.white
  },
  'dark.contained.disabled': {
    backgroundColor: _mintUiColors.BaseColors.darkBlueExtension1,
    color: _mintUiColors.ThemeColors.dark.text.tertiary
  },
  'dark.outline.active': {
    backgroundColor: _mintUiColors.BaseColors.darkBlue
  },
  'dark.outline.disabled': {
    backgroundColor: _mintUiColors.BaseColors.darkBlue,
    color: _mintUiColors.ThemeColors.dark.text.tertiary,
    borderColor: _mintUiColors.ThemeColors.dark.stroke.tertiary
  }
});
exports.LargeButtonStyles = LargeButtonStyles;
var _default = /*#__PURE__*/_react.default.memo(LargeButton);
exports.default = _default;
//# sourceMappingURL=LargeButton.js.map