"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _mintUiColors = require("mint-ui-colors");
var _reactNative = require("react-native");
var _BaseText = _interopRequireDefault(require("../components/BaseText"));
var _sizes = require("../styles/sizes");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const TextButton = _ref => {
  let {
    theme = 'light',
    semantic = 'positive',
    size = 'default',
    LeftComponent,
    RightComponent,
    color,
    textProps,
    children,
    ...props
  } = _ref;
  const Container = typeof props.onPress === 'function' ? _reactNative.TouchableOpacity : _reactNative.View;
  const textStyle = {
    flexShrink: 1,
    marginLeft: LeftComponent ? (0, _sizes.wScale)(8, 0.9) : 0,
    marginRight: RightComponent ? (0, _sizes.wScale)(8, 0.9) : 0,
    fontSize: (0, _sizes.wScale)(size === 'default' ? 16 : 14),
    color: color || _mintUiColors.SemanticColors[theme][semantic].color
  };
  return /*#__PURE__*/_react.default.createElement(Container, _extends({}, props, {
    style: [styles.container, props.style]
  }), LeftComponent, typeof children === 'string' ? /*#__PURE__*/_react.default.createElement(_BaseText.default, _extends({
    font: "demi",
    color: color
  }, textProps, {
    style: [textStyle, textProps === null || textProps === void 0 ? void 0 : textProps.style]
  }), children) : children, RightComponent);
};
const styles = _reactNative.StyleSheet.create({
  container: {
    flexShrink: 1,
    flexDirection: 'row',
    alignItems: 'center'
  }
});
var _default = /*#__PURE__*/_react.default.memo(TextButton);
exports.default = _default;
//# sourceMappingURL=TextButton.js.map