"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "BaseColors", {
  enumerable: true,
  get: function () {
    return _mintUiColors.BaseColors;
  }
});
Object.defineProperty(exports, "BaseText", {
  enumerable: true,
  get: function () {
    return _BaseText.default;
  }
});
Object.defineProperty(exports, "BaseTextProps", {
  enumerable: true,
  get: function () {
    return _BaseText.BaseTextProps;
  }
});
Object.defineProperty(exports, "ColorMeta", {
  enumerable: true,
  get: function () {
    return _mintUiColors.ColorMeta;
  }
});
Object.defineProperty(exports, "FontFamily", {
  enumerable: true,
  get: function () {
    return _fonts.FontFamily;
  }
});
Object.defineProperty(exports, "FontSize", {
  enumerable: true,
  get: function () {
    return _fonts.FontSize;
  }
});
Object.defineProperty(exports, "IconButton", {
  enumerable: true,
  get: function () {
    return _IconButton.default;
  }
});
Object.defineProperty(exports, "IconButtonProps", {
  enumerable: true,
  get: function () {
    return _IconButton.IconButtonProps;
  }
});
Object.defineProperty(exports, "LargeButton", {
  enumerable: true,
  get: function () {
    return _LargeButton.default;
  }
});
Object.defineProperty(exports, "LargeButtonProps", {
  enumerable: true,
  get: function () {
    return _LargeButton.LargeButtonProps;
  }
});
Object.defineProperty(exports, "LargeButtonStyles", {
  enumerable: true,
  get: function () {
    return _LargeButton.LargeButtonStyles;
  }
});
Object.defineProperty(exports, "PrimaryTag", {
  enumerable: true,
  get: function () {
    return _PrimaryTag.default;
  }
});
Object.defineProperty(exports, "SCREEN_HEIGHT", {
  enumerable: true,
  get: function () {
    return _sizes.SCREEN_HEIGHT;
  }
});
Object.defineProperty(exports, "SCREEN_WIDTH", {
  enumerable: true,
  get: function () {
    return _sizes.SCREEN_WIDTH;
  }
});
Object.defineProperty(exports, "SecondaryTag", {
  enumerable: true,
  get: function () {
    return _SecondaryTag.default;
  }
});
Object.defineProperty(exports, "SemanticColors", {
  enumerable: true,
  get: function () {
    return _mintUiColors.SemanticColors;
  }
});
Object.defineProperty(exports, "TextButton", {
  enumerable: true,
  get: function () {
    return _TextButton.default;
  }
});
Object.defineProperty(exports, "TextButtonProps", {
  enumerable: true,
  get: function () {
    return _TextButton.TextButtonProps;
  }
});
Object.defineProperty(exports, "ThemeColors", {
  enumerable: true,
  get: function () {
    return _mintUiColors.ThemeColors;
  }
});
exports.Typography = void 0;
Object.defineProperty(exports, "hScale", {
  enumerable: true,
  get: function () {
    return _sizes.hScale;
  }
});
Object.defineProperty(exports, "wScale", {
  enumerable: true,
  get: function () {
    return _sizes.wScale;
  }
});
var _Body = _interopRequireDefault(require("./typography/Body"));
var _Headline = _interopRequireDefault(require("./typography/Headline"));
var _Subtitle = _interopRequireDefault(require("./typography/Subtitle"));
var _mintUiColors = require("mint-ui-colors");
var _fonts = require("./styles/fonts");
var _sizes = require("./styles/sizes");
var _BaseText = _interopRequireWildcard(require("./components/BaseText"));
var _LargeButton = _interopRequireWildcard(require("./button/LargeButton"));
var _TextButton = _interopRequireWildcard(require("./button/TextButton"));
var _IconButton = _interopRequireWildcard(require("./button/IconButton"));
var _PrimaryTag = _interopRequireDefault(require("./tag/PrimaryTag"));
var _SecondaryTag = _interopRequireDefault(require("./tag/SecondaryTag"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Typography = {
  Headline: _Headline.default,
  Subtitle: _Subtitle.default,
  Body: _Body.default
};
exports.Typography = Typography;
//# sourceMappingURL=index.js.map