"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _mintUiColors = require("mint-ui-colors");
var _reactNative = require("react-native");
var _TextButton = _interopRequireDefault(require("../button/TextButton"));
var _sizes = require("../styles/sizes");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const SecondaryTag = _ref => {
  let {
    theme = 'light',
    semantic = 'positive',
    size,
    color,
    textProps,
    ...props
  } = _ref;
  const styledTextProps = (0, _react.useMemo)(() => {
    const textStyle = _reactNative.StyleSheet.flatten([{
      fontSize: (0, _sizes.wScale)(size === 'default' ? 12 : 10),
      color: color || _mintUiColors.SemanticColors[theme][semantic].color
    }, textProps === null || textProps === void 0 ? void 0 : textProps.style]);
    return {
      ...textProps,
      style: textStyle
    };
  }, [textProps, size, color, theme, semantic]);
  return /*#__PURE__*/_react.default.createElement(_TextButton.default, _extends({
    textProps: styledTextProps
  }, props, {
    style: [styles.container, {
      backgroundColor: _mintUiColors.SemanticColors[theme][semantic].backgroundColor
    }, props.style]
  }));
};
const styles = _reactNative.StyleSheet.create({
  container: {
    borderRadius: 4
  }
});
var _default = /*#__PURE__*/_react.default.memo(SecondaryTag);
exports.default = _default;
//# sourceMappingURL=SecondaryTag.js.map