"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _BaseText = _interopRequireDefault(require("../components/BaseText"));
var _fonts = require("../styles/fonts");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const Headline = _ref => {
  let {
    v,
    style,
    ...props
  } = _ref;
  const variantStyle = styles['variant' + v];
  return /*#__PURE__*/_react.default.createElement(_BaseText.default, _extends({
    style: [variantStyle, style]
  }, props));
};
const styles = _reactNative.StyleSheet.create({
  variant1: {
    fontSize: 24,
    fontFamily: _fonts.FontFamily.bold,
    lineHeight: 32
  },
  variant2: {
    fontSize: 20,
    fontFamily: _fonts.FontFamily.bold,
    lineHeight: 28
  },
  variant3: {
    fontSize: 16,
    fontFamily: _fonts.FontFamily.bold,
    lineHeight: 24
  },
  variant4: {
    fontSize: 14,
    fontFamily: _fonts.FontFamily.bold,
    lineHeight: 20
  }
});
var _default = /*#__PURE__*/_react.default.memo(Headline);
exports.default = _default;
//# sourceMappingURL=Headline.js.map